<HTML>
<HEAD>
<TITLE>JSONtext.lvlib:Display Text from JSON.vi</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="GENERATOR" CONTENT="G Development Environment">
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<A NAME="JSONtext.lvlib:Display Text from JSON.vi"></A><H2>JSONtext.lvlib:Display Text from JSON.vi</H2>
<P>Reformate JSON as a more human-readable text string, for use in displays.  The format is similar to YAML, but may not be fully compliant with that format.</P>
<P><IMG SRC="Images/Display Text from JSONc.png" ALT="JSONtext.lvlib:Display Text from JSON.vi"></P>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B><a href="http://json.org">Input JSON</a></B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>Offset</B> <P><a href="Pages\Offsets.html">Optional Offset</a> in the input &quot;JSON&quot; string.   Default is zero, the start of the string.  This Offset should point to the start of the JSON Value of interest (or to whitespace in front of it).</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cerrcodeclst.png" ALT="cerrcodeclst"></P>
</TD>
<TD>
<B>error in (no error)</B> <P>Describes error conditions that occur before this node runs. This input provides standard error in functionality.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>status</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>code</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>source</B> <P></P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>Alphabetical Sort Objects</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>No Error on Empty Input String</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ii32.png" ALT="ii32"></P>
</TD>
<TD>
<B>Offset after first JSON Value</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>Display Text</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ierrcodeclst.png" ALT="ierrcodeclst"></P>
</TD>
<TD>
<B>error out</B> <P>Contains error information. This output provides standard error out functionality.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>status</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ii32.png" ALT="ii32"></P>
</TD>
<TD>
<B>code</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>source</B> <P></P>
</TD>
</TR>
</Table>
</UL>
</BODY>
</HTML>

<p>See also <a href="Pages/JSONtext.html">JSONtext</a>.</p>
<p>For support please see <a title="[CR] JSONtext" href="https://lavag.org/topic/20236-cr-jsontext/" target="_blank" rel="noopener">[CR] JSONtext</a> and <a title="JSONtext Issues" href="https://bitbucket.org/drjdpowell/jsontext/issues?status=new&amp;status=open">Bitbucket Issue Tracker</a>.</p>